# CUpti_ActivityMemory2::CUpti_ActivityMemory2::PACKED_ALIGNMENT Struct Reference

## Data Fields

uint64_t | address
CUpti_ActivityMemoryPoolType | memoryPoolType
uint64_t | releaseThreshold
uint64_t | processId
uint64_t | size

## Detailed Description

The memory pool configuration used for the memory operations.

## Field Documentation

uint64_t CUpti_ActivityMemory2::CUpti_ActivityMemory2::PACKED_ALIGNMENT::address

The base address of the memory pool.

CUpti_ActivityMemoryPoolType CUpti_ActivityMemory2::CUpti_ActivityMemory2::PACKED_ALIGNMENT::memoryPoolType

The type of the memory pool, CUpti_ActivityMemoryPoolType

uint64_t CUpti_ActivityMemory2::CUpti_ActivityMemory2::PACKED_ALIGNMENT::processId

The processId of the memory pool.

Parameters:

  | processId | is valid if
  | memoryPoolType | is CUPTI_ACTIVITY_MEMORY_POOL_TYPE_IMPORTED, CUpti_ActivityMemoryPoolType.

uint64_t CUpti_ActivityMemory2::CUpti_ActivityMemory2::PACKED_ALIGNMENT::releaseThreshold

The release threshold of the memory pool in bytes.

Parameters:

  | releaseThreshold | is valid for CUPTI_ACTIVITY_MEMORY_POOL_TYPE_LOCAL, CUpti_ActivityMemoryPoolType.

uint64_t CUpti_ActivityMemory2::CUpti_ActivityMemory2::PACKED_ALIGNMENT::size

The size of the memory pool in bytes.

Parameters:

  | size | is valid if
  | memoryPoolType | is CUPTI_ACTIVITY_MEMORY_POOL_TYPE_LOCAL, CUpti_ActivityMemoryPoolType.